get_mouse_mickeys(3)

NAME
get_mouse_mickeys - How far the mouse has moved since the last call to this function. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void get_mouse_mickeys(int *mickeyx, int *mickeyy);

DESCRIPTION
Measures how far the mouse has moved since the last call to this function. The values of mickeyx and mickeyy will become negative if the mouse is moved left or up, respectively. The mouse will continue to generate movement mickeys even when it reaches the edge of the screen, so this form of input can be useful for games that require an infinite range of mouse movement. Note that the infinite movement may not work in windowed mode, since under some platforms the mouse would leave the window, and may not work at all if the hardware cursor is in use.

SEE ALSO
install_mouse(3), exmouse(3)